- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_client_pool_t

# mongoc_client_pool_new()

## Synopsis

    mongoc_client_pool_t *
    mongoc_client_pool_new (const mongoc_uri_t *uri);

This function creates a new mongoc_client_pool_t using the mongoc_uri_t provided.

## Parameters

- `uri`: A mongoc_uri_t.

## Returns

A newly allocated mongoc_client_pool_t that should be freed with mongoc_client_pool_destroy() when no longer in use.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.